Data Fields

# LexState Struct Reference

`#include <lua/llex.h>`

Collaboration diagram for LexState:
[legend]

## Data Fields
int | current
int | linenumber
int | lastline
Token | t
Token | lookahead
struct FuncState * | fs
struct lua_State * | L
ZIO * | z
Mbuffer * | buff
TString * | source
char | decpoint

## Detailed Description

Definition at line 55 of file llex.h.

## Field Documentation

Mbuffer* LexState::buff

Definition at line 64 of file llex.h.

Referenced by buffreplace(), llex(), luaX_setinput(), luaY_parser(), read_long_string(), read_numeral(), read_string(), save(), trydecpoint(), and txtToken().

int LexState::current

Definition at line 56 of file llex.h.

Referenced by check_next(), inclinenumber(), llex(), read_long_string(), read_numeral(), read_string(), and skip_sep().

char LexState::decpoint

Definition at line 66 of file llex.h.

Referenced by luaX_setinput(), read_numeral(), and trydecpoint().

struct FuncState* LexState::fs

Definition at line 61 of file llex.h.

Referenced by adjust_assign(), adjustlocalvars(), assignment(), block(), breakstat(), check_conflict(), chunk(), close_func(), codestring(), cond(), constructor(), exp1(), explist1(), exprstat(), field(), forbody(), forlist(), fornum(), forstat(), funcargs(), funcstat(), ifstat(), listfield(), localfunc(), luaX_newstring(), luaX_setinput(), luaY_parser(), new_localvar(), open_func(), parlist(), prefixexp(), primaryexp(), pushclosure(), recfield(), registerlocalvar(), removevars(), repeatstat(), retstat(), simpleexp(), singlevar(), subexpr(), whilestat(), and yindex().

struct lua_State* LexState::L

Definition at line 62 of file llex.h.

Referenced by assignment(), check_match(), close_func(), enterlevel(), error_expected(), luaX_lexerror(), luaX_newstring(), luaX_setinput(), luaX_token2str(), open_func(), pushclosure(), registerlocalvar(), and save().

int LexState::lastline

Definition at line 58 of file llex.h.

Referenced by funcargs(), luaK_codeABC(), luaK_codeABx(), luaK_setlist(), luaX_next(), and luaX_setinput().

int LexState::linenumber

Definition at line 57 of file llex.h.

Referenced by body(), check_match(), constructor(), forlist(), funcargs(), inclinenumber(), localfunc(), luaX_lexerror(), luaX_next(), luaX_setinput(), prefixexp(), simpleexp(), and statement().

Token LexState::lookahead

Definition at line 60 of file llex.h.

Referenced by constructor(), luaX_lookahead(), luaX_next(), and luaX_setinput().

TString* LexState::source

Definition at line 65 of file llex.h.

Referenced by luaX_lexerror(), luaX_setinput(), and open_func().

Token LexState::t

Definition at line 59 of file llex.h.

Referenced by anchor_token(), check(), chunk(), constructor(), forstat(), funcargs(), funcname(), ifstat(), luaX_next(), luaX_syntaxerror(), parlist(), prefixexp(), primaryexp(), recfield(), retstat(), simpleexp(), statement(), str_checkname(), subexpr(), and testnext().

ZIO* LexState::z

Definition at line 63 of file llex.h.

Referenced by luaX_setinput().

The documentation for this struct was generated from the following file:

- lua/llex.h